commit:     cd8e4b89b8c254bc4ed13aba2838cd61b723c076
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Fri May 13 18:21:11 2016 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Fri May 13 18:21:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd8e4b89

dev-vcs/qgit: version bump, now uses Qt5

Also, go back to SLOT=0 and stop renaming the binary,
since we don't allow co-installability anymore.

Package-Manager: portage-2.2.28

 dev-vcs/qgit/Manifest        |  1 +
 dev-vcs/qgit/qgit-2.6.ebuild | 48 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-vcs/qgit/Manifest b/dev-vcs/qgit/Manifest
index 06b7d2d..cc057dc 100644
--- a/dev-vcs/qgit/Manifest
+++ b/dev-vcs/qgit/Manifest
@@ -1 +1,2 @@
 DIST qgit-2.5.tar.gz 250855 SHA256 
25f1ca2860d840d87b9919d34fc3a1b05d4163671ed87d29c3e4a8a09e0b2499 SHA512 
1c56aa4019f3e7aeb4062f49bca48ff773ef0a9af9633e6ae58fe7bba441aa5d85bcdd2093954350d59bc6742b3440116b6e6d49c694a57cb1ffe70c89e4f94d
 WHIRLPOOL 
f312cb3ef6505aa61d6dbd8b07e7302047e73784042b29af7723b5a87c07e555d878a1173bee4b686c3c34059d61523d0caa1a3a8ae3b9aff947ec3b66d8f8fc
+DIST qgit-2.6.tar.gz 252491 SHA256 
f463e4fa3571dcfb1ffe4c83bc5d7e1be8d2caa3513d28dbe0591a6d988239af SHA512 
3bc1e68f8c92951eec52f73c21d3fc9bc8e41ede19468e89aec8ed43e127b38d11f391ee1a363e448ae94fa51d360092840422ddeb4b4b8eb141036dfa83204b
 WHIRLPOOL 
e014428bfc40d22928dc1e9e9c0fa6a811649b36338ba7644c32b5cb6b2a7964b2ad463a98223d176e92ecfc22828e16c1a395818b77fb2da4ba57713e588d77

diff --git a/dev-vcs/qgit/qgit-2.6.ebuild b/dev-vcs/qgit/qgit-2.6.ebuild
new file mode 100644
index 0000000..ebe043a
--- /dev/null
+++ b/dev-vcs/qgit/qgit-2.6.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils qmake-utils
+
+DESCRIPTION="Qt GUI for git repositories"
+HOMEPAGE="http://libre.tibirna.org/projects/qgit";
+SRC_URI="http://libre.tibirna.org/attachments/download/12/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-macos"
+IUSE=""
+
+DEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtwidgets:5
+"
+RDEPEND="${DEPEND}
+       dev-vcs/git
+       !dev-vcs/qgit:2
+"
+
+S=${WORKDIR}/redivivus-2d0c3b0
+
+src_prepare() {
+       default
+
+       # respect CXXFLAGS
+       sed -i -e '/CONFIG\s*+=/s/debug_and_release//' \
+               -e '/QMAKE_CXXFLAGS.*+=/d' \
+               src/src.pro || die
+}
+
+src_configure() {
+       eqmake5
+}
+
+src_install() {
+       dobin bin/qgit
+       doicon src/resources/qgit.png
+       make_desktop_entry qgit QGit qgit
+       einstalldocs
+}

Reply via email to